Risk verification notification payloads
When you subscribe to a BILL event and the event triggers, BILL sends a notification to your provided notificationUrl. See /v3/risk-verifications in the API reference for more information about the request and response fields.
Sample risk-verification.updated payload
risk-verification.updated payloadIn this sample unescaped JSON payload, the status of an organization risk verification is available (REVIEW, IN_PROGRESS, HOLD, APPROVE, or DECLINE). See Users for BILL partners for more information.
| Value | Description |
|---|---|
IN_PROGRESS | Automatic risk verification is in progress. |
HOLD | BILL has set the verification process on hold and money movement is disabled for the organization. BILL is requesting the organization owner for more information. |
REVIEW | Manual risk verification is required. The manual risk verification will take place when a payment is made. Organization users can continue to schedule payments. |
APPROVE | BILL has approved the organization for BILL AP and AR operations. |
DECLINE | BILL has declined approval for the organization. |
{
"metadata": {
"eventId": "625947c4-8e6b-48f0-ae72-ea9c9375ec27",
"subscriptionId": "f6d06930-e3e2-4509-be37-4dbda29efc6i",
"organizationId": "00802DEVKGROHKDIY4zyx",
"eventType": "risk-verification.updated",
"version": "1"
},
"risk-verification": {
"decision": "APPROVE"
}
}Updated 11 days ago
